/* ========================================
 *  PeaksOnly - PeaksOnly.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __PeaksOnly_PeaksOnly_H
#define __PeaksOnly_PeaksOnly_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::PeaksOnly {
enum {
  kNumParameters = 0
}; //


class PeaksOnly final : public SfxCoreExtensionV1
{
public:
    PeaksOnly();
    ~PeaksOnly();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

	double aL[1503];
	double bL[1503];
	double cL[1503];
	double dL[1503];
	
	double aR[1503];
	double bR[1503];
	double cR[1503];
	double dR[1503];
	
	int ax, bx, cx, dx;
	
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
